package de.marcschumacher.jgrli.result;

import java.util.Date;

import de.marcschumacher.jgrli.enums.JgrliErrorCode;

/**
 * Java Growl Library - Success result
 * 
 * @author Marc Schumacher
 * 
 */
public class JgrliSuccessResult extends JgrliResult {

	private final int remaining;
	private final Date resetDate;

	public JgrliSuccessResult(JgrliErrorCode code, int remaining, Date resetDate) {
		super(code);
		this.remaining = remaining;
		this.resetDate = resetDate;
	}

	public final int getRemaining() {
		return this.remaining;
	}

	public final Date getResetDate() {
		return this.resetDate;
	}

}
